<template>
  <div class="container">
    <p class="step-launch-title">
      Together with You, we every day create the future of the cryptocurrency market.
    </p>
    <base-button
      shaded
      class="step-launch-btn"
      @click.native='$router.push({ path: localePath("/application") })'
    >
      Launch OTC
    </base-button>
    <div class="steps-launch">
      <h2 class="base-title">Launch in Three Days!</h2>
      <div class="steps-launch__list">
        <client-only>
          <Flickity
            id="news-carousel"
            ref="flickity"
            :key="sliderKey"
            :options="flickityOptions"
          >
            <div class="steps-launch__item item">
              <img
                src="../../assets/img/steps-started/1.svg"
                alt="1"
                width="80"
                height="80"
              />
              <p class="item__name">Preparation</p>
              <p class="item__day">up to 2 day</p>
              <p class="item__text">
                Allocation of a server that meets the minimum system requirements: OS Ubuntu Server 16.04 (64-bit), VDS\VPS server with Root access via SSH, 4 CPUs, 2 Gb RAM.
              </p>
            </div>
            <div class="steps-launch__item item">
              <img
                src="../../assets/img/steps-started/2.svg"
                alt="2"
                width="80"
                height="80"
              />
              <p class="item__name">Purchase</p>
              <p class="item__day">up to 3 day</p>
              <p class="item__text">
                Choosing the desired package, order and payment through the personal account of the owner of the exchange on the website TBCC.
              </p>
            </div>
            <div class="steps-launch__item item">
              <img
                src="../../assets/img/steps-started/3.svg"
                alt="3"
                width="80"
                height="80"
              />
              <p class="item__name">Launch!</p>
              <p class="item__day">up to 2 day</p>
              <p class="item__text">
                Getting the distribution kit and instructions, installing the necessary components
                and deploying the exchange, deploying the nodes, starting the exchang.
              </p>
            </div>
          </Flickity>
        </client-only>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  data() {
    return {
      innerWidth: 0,
      sliderKey: 1,
    }
  },

  computed: {
    flickityOptions() {
      if (this.innerWidth <= 767) {
        return {
          pageDots: true,
          wrapAround: false,
          groupCells: 1,
          prevNextButtons: false,
        }
      }
      return {
        pageDots: false,
        wrapAround: false,
        groupCells: 3,
        prevNextButtons: false,
      }
    },
  },

  watch: {
    flickityOptions() {
      this.sliderKey += 1
    },
  },

  mounted() {
    this.setWidth()
    window.addEventListener('resize', this.setWidth)
  },

  methods: {
    ...mapActions({
      showFeedbackForm: 'toggleShowFeedbackForm',
    }),

    setWidth() {
      this.innerWidth = window.innerWidth
    },
  },
}
</script>

<style lang="scss" scoped>
.container {
  display: flex;
  align-items: center;
  flex-direction: column;
}

.step-launch-title {
  font-size: 48px;
  line-height: 58px;
  text-align: center;
  color: white;
  max-width: 900px;
  margin: 0 0 40px;

  @media (max-width: 767px) {
    font-size: 30px;
    line-height: 36px;
    text-align: center;
    max-width: 322px;
  }
}

.step-launch-btn {
  margin-bottom: 130px;
  min-height: 56px;

  @media (max-width: 767px) {
    margin-bottom: 90px;
  }
}

.base-title {
  margin: 0 0 55px;
  font-size: 36px;

  @media (max-width: 767px) {
    text-align: center;
    margin: 0 0 30px;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}
.steps-launch {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  background: #dbe1f1;
  border-radius: 36px;
  padding: 73px 0;

  @media (min-width: 1024px) {
    padding: 73px;
  }

  @media (max-width: 767px) {
    width: 353px;
    margin: 0 auto;
    padding: 40px 30px 90px;
  }

  &__list {
    max-width: 912px;
    width: 100%;

    @media (min-width: 768px) and (max-width: 1023px) {
      justify-content: space-around;
    }
  }
}

.item {
  display: flex;
  align-items: center;
  flex-direction: column;
  position: relative;
  width: 100%;

  @media (min-width: 768px) {
    max-width: 33.33%;
  }

  &::after {
    content: '';
    position: absolute;
    top: 32px;
    right: 25px;
    width: 30px;
    height: 14px;
    background-image: url('../../assets/img/steps-started/arrow.svg');
    background-repeat: no-repeat;
    background-position: center;
  }

  &:last-child {
    &::after {
      width: 21px;
      height: 15px;
      background-image: url('../../assets/img/steps-started/check.svg');
    }
  }

  img {
    margin-bottom: 25px;
    width: 80px;
    height: 80px;
    object-fit: none;
  }

  &__name {
    font-size: 20px;
    line-height: 25px;
    text-align: center;
    margin: 0;
    color: #05204a;
    width: 240px;
    font-weight: 500;
    margin-bottom: 17px;

    @media (max-width: 1023px) {
      font-size: 18px;
      line-height: 22px;
      width: 232px;
    }
  }

  &__day {
    display: flex;
    justify-content: center;
    font-size: 12px;
    text-align: center;
    color: #ffffff;
    background: linear-gradient(77.9deg, #0066ff -3.83%, #2ce0c5 110.36%);
    border-radius: 30px;
    padding: 5px 13px;
    margin: 0 0 35px;
  }

  &__text {
    margin: 0;
    font-size: 16px;
    line-height: 24px;
    color: #6983ab;
    max-width: 260px;
    text-align: center;

    @media (min-width: 768px) and (max-width: 1023px) {
      max-width: 184px;
    }
  }
}
</style>
